[@algorandfoundation/algokit-utils](../README.md) / [types/account](../modules/types_account.md) / AccountConfig

# Interface: AccountConfig

[types/account](../modules/types_account.md).AccountConfig

**`Deprecated`**

The methods that use this can be achieved using `AccountManager` instead.
Config for an account config

## Table of contents

### Properties

- [accountMnemonic](types_account.AccountConfig.md#accountmnemonic)
- [accountName](types_account.AccountConfig.md#accountname)
- [senderAddress](types_account.AccountConfig.md#senderaddress)
- [senderMnemonic](types_account.AccountConfig.md#sendermnemonic)

## Properties

### accountMnemonic

• **accountMnemonic**: `string`

Mnemonic for an account

#### Defined in

[src/types/account.ts:289](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/account.ts#L289)

___

### accountName

• **accountName**: `string`

Account name used to retrieve config

#### Defined in

[src/types/account.ts:293](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/account.ts#L293)

___

### senderAddress

• `Optional` **senderAddress**: `string`

Address of a rekeyed account

#### Defined in

[src/types/account.ts:291](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/account.ts#L291)

___

### senderMnemonic

• `Optional` **senderMnemonic**: `string`

**`Deprecated`**

Renamed to senderAddress in 2.3.1

#### Defined in

[src/types/account.ts:296](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/account.ts#L296)
